
stringtable "English" 
  string noresponse,              "$(address) (no response)"
  string notready,                "$(i map line): Not ready"
  string ready,                   "$(i map line): Ready"
  string incall6,                 "$(i map line): Incoming call from $6"
  string incall5,                 "$(i map line): Incoming call from $5"
  string incall,                  "$(i map line): Incoming call"
  string outcall6,                "$(i map line): Outgoing call to $6"
  string outcall5,                "$(i map line): Outgoing call to $5"
  string outcall,                 "$(i map line): Outgoing call"
  string callback6,               "$(i map line): Callback to $6"
  string leasedline6,             "$(i map line): Leased line to $6"
  string protneg6,                "$(i map line): Protocol negotiation with $6"
  string conto6,                  "$(i map line): Connected to $6"
  string conto5,                  "$(i map line): Connected to $5"
  string disc,                    "$(i map line): Disconnecting"
  string bundled6,                "$(i map line): Bundled leased to $6"
  string chanbundling6,           "$(i map line): Channel bundling to $6"
  string connected,               "$(i map line): Connected"
  string lcapi,                   "LANCAPI client: $(3 as ip)"
  string abport,                  "a/b Port"
  string abportnum1,              "a/b Port number 1"  
  string abportnum2,              "a/b Port number 2"
  string abportnum3,              "a/b Port number 3"
  string abportnum4,              "a/b Port number 4"        
  string protocol,                "Protocol"
  string protelsa,                "Protocol: ELSA"
  string protppp,                 "Protocol: PPP"
  string prottrans,               "Protocol: Transparent"
  string nooptions,               "No options"
  string optcompr,                "Options: Compression"
  string optchanbundle,           "Options: Channel bundling"
  string optbundleandcompr,       "Options: Bundling and compression"  
  string netprottcp,              "Network protocol: TCP/IP"
  string ownip,                   "Own IP address: $1"
  string owndns,                  "Own DNS server: $1"
  string ownnbns,                 "Own NBNS server: $1"
  string remoteip,                "Remote IP address: $1"
  string remotedns,               "Remote DNS server: $1"
  string remotenbns,              "Remote NBNS server: $1"
  string netprot,                 "Network protocol: IPX"
  string routemethod,             "Routing method: $(1 select None 1 RIP-SAP 3 NLSP)"
  string wannet,                  "WAN network: $1"
  string ownnodeid,               "Own node ID: $1"
  string remotenodeid,            "Remote node ID: $1"
  string contime,                 "Connection time: $(2 as duration)"
  string charg1,                  "Charging"
  string charg2,                  "Charging: $2 unit"
  string charg3,                  "Charging: $2 units"
  string sendrecv,                "Sending $5 cps, receiving $4 cps"
  string netmsg,                  "Network message: \"$1\""
  string noerror,                 "Error: No error"
  string error,                   "Error: $(1 map err_text)"
  string error1,                  "Error ($(i map line)): No error"
  string error2,                  "Error ($(i map line)): $(1 map err_text)"  
  string sysinfo,                 "System information"
  string device,                  "Device: $1 $(2 len 9)"
  string firmware,                "Firmware version: $(1 len 9)"
  string sernum,                  "Serial number: $1"
  string location,                "Location: $1"
  string admin,                   "Administrator: $1"
  string datetime,                "Date and time: $(1 as datetime)"
  string uptime,                  "System up time: $(1 /100 as duration)"
  string wlancard,                "WLAN card: (not present)"
  string wlancard2,               "WLAN card: $2"  
  string wlanfirmware,            "Firmware: $2"
  string wlansernum,              "Serial number: $2"
  string wlan,                    "Wireless LAN"
  string wlanstation,             "Station $2 ($1% signal strength)"
  string wlanstrength,            "Station $2 ($1% signal strength)"
  string wanintisdn,              "WAN interface: ISDN (S0 bus)"
  string wanint4isdn,             "WAN interfaces: 4 x ISDN (S0 bus)"
  string wanint6001,              "WAN interfaces: ISDN (S0 bus), X.21"
  string wanint6011,              "WAN interfaces: ISDN (S0 bus), X.21, G.703"
  string wanint6021,              "WAN interfaces: ISDN (S0 bus), X.21, 2 x G.703"    
  string wanintdsl,               "WAN interface: DSL (Ethernet)"
  string wanintatm,               "WAN interface: ATM"
  string wanintadsl,              "WAN interface: ADSL"  
  string s0bus,                   "S0 bus $I: $(1 map dprot)"
  string s0bus_single,            "S0 bus"  
  string usedprotocol,            "Protocol: $(1 map dprot)"
  string s0active,                "S0 active: $(1 select No Yes)"
  string teiassigned,             "TEI assigned: $(1 select No Yes)"
  string layer2act,               "Layer 2 active: $(1 select No Yes)"
  string linkstate,               "Link state: $(1 select Down Up)"
  string x21inteface,             "X.21 interface"
  string x21active,               "X.21 active: $(1 select No Yes)"  
  string x21cts,                  "CTS: $(1 select No Yes)"
  string x21rts,                  "RTS: $(1 select No Yes)"
  string x21clock,                "Clock signal present: $(1 select No Yes)"
  string g703inteface,            "G.703 interface"
  string g703active,              "G.703 active: $(1 select No Yes)"    
  string g703attenuation,         "Line attenuation: $1"
  string sigpresent,              "Signal present: $(1 select No Yes)"
  string charge1,                 "Total charge: $(1 map units)"
  string charge2,                 "Total charge units"
  string chargitem,               "$(i map charge_item): $(1 map units) ($(3 map units) remaining)"  
  string router,                  "Router"
  string routerisdn,              "Router (ISDN)"  
  string routerdsl,               "Router (DSL)"  
  string lancapi,                 "LANCAPI"
  string abport1,                 "a/b Port 1"
  string abport2,                 "a/b Port 2"
  string abport3,                 "a/b Port 3"
  string abport4,                 "a/b Port 4"      
  string timesync,                "Time sync."
  string inet,                    "Internet"
  string totonlinetime1,          "Total online time: $(1 map minutes)"
  string totonlinetime2,          "Total online time"
  string outmin,                  "$(i map minutes_item) (outgoing): $(1 map minutes)"
  string outminandremain,         "$(i map minutes_item) (outgoing): $(1 map minutes) ($(3 map minutes) remaining)"
  string incmin,                  "$(i map minutes_item) (incoming): $(1 map minutes)" 
  string actbudget,               "&Enable Additional Time Limit"
  string errordisp,               "Error:"
  string notreadydisp,            "$(i map channel): Not ready"
  string readydisp,               "$(i map channel): Ready"
  string incalldisp,              "$(i map channel): Incoming call"
  string dialdisp,                "$(i map channel): Dial"
  string protocoldisp,            "$(i map channel): Protocol"
  string discdisp,                "$(i map channel): Disconnect"
  string callbackdisp,            "$(i map channel): Callback"
  string bundledisp,              "$(i map channel): $5/B"
  string lancapidisp,             "$(i map channel): LANCAPI"
  string abport1disp,             "$(i map channel): a/b Port 1"
  string abport2disp,             "$(i map channel): a/b Port 2"
  string abport3disp,             "$(i map channel): a/b Port 3"
  string abport4disp,             "$(i map channel): a/b Port 4"
  string clrerrdisp,              "Clear &Error"
  string clrerrondisp,            "Clear &Error on $(1 map channel)"
  string mnudiscdisp,             "&Disconnnect"
  string mnudisc1disp,            "&Disconnnect $1"
  string askdiskexit,             "There is still a connection to the remote site \"$1\".\r\rDo you want to disconnect it now?"
  string logdialfmt,              "$1 ($(address)) $(2 map line) $(3 -1 select -> <-) $4 ($5), $(3 -1 select Outgoing Incoming) call"
  string logcbfmt,                "$1 ($(address)) $(2 map line) $(3 -1 select -> <-) $4 ($5), Callback"
  string logprotfmt,              "$1 ($(address)) $(2 map line) $(3 -1 select -> <-) $4 ($5), Protocol"
  string logconnfmt,              "$1 ($(address)) $(2 map line) $(3 -1 select -> <-) $4 ($5), Connect"
  string logdiscfmt,              "$1 ($(address)) $(2 map line) $(3 -1 select -> <-) $4 ($5), Disconnect, Charge: $6 units, Time: $7 seconds"
  string logerrorfmt,             "$1 ($(address)) Error occured on $(2 map line): $(3 map err_text)"
  string infoconnfmt,             "$1 - $(2 map line)\nConnected to $3"
  string infodiscfmt,             "$1 - $(2 map line)\nDisconnected"
  string logconnabfmt,            "$1 ($(address)) a/b port $4 $(3 -1 select -> <-) $5, Connect"
  string logdiscabfmt,            "$1 ($(address)) a/b port $4 $(3 -1 select -> <-) $5, Disconnect, Charge: $6 units, Time: $7 seconds"
  string logconncapi,             "$1 ($(address)) LANCAPI client $(4 as ip) $(3 -1 select -> <-) $5, Connect"
  string logdisccapi,             "$1 ($(address)) LANCAPI client $(4 as ip) $(3 -1 select -> <-) $5, Disconnect, Charge: $6 units, Time: $7 seconds"
  string isdn1,                   "ISDN1"
  string isdn2,                   "ISDN2"
  string isdn3,                   "ISDN3"
  string isdn4,                   "ISDN4"
  string line1,                   "Line 1"
  string line2,                   "Line 2"
  string line3,                   "Line 3"
  string line4,                   "Line 4"
  string line5,                   "Line 5"
  string line6,                   "Line 6"          
  string line7,                   "Line 7"
  string line8,                   "Line 8"
  string line9,                   "Line 9"
  string line10,                  "Line 10"
  string line11,                  "Line 11"
  string line12,                  "Line 12"
  string line1-1,                 "Line 1-1"
  string line1-2,                 "Line 1-2"
  string line2-1,                 "Line 2-1"
  string line2-2,                 "Line 2-2"
  string line3-1,                 "Line 3-1"
  string line3-2,                 "Line 3-2"
  string line4-1,                 "Line 4-1"
  string line4-2,                 "Line 4-2"
  string dsl,                     "DSL"
  string line,                    "Line"
  string dslline,                 "DSL Line"
  string isdn,                    "ISDN"  
  string isdnline1,               "ISDN Line 1"
  string isdnline2,               "ISDN Line 2"  
  string x21,                     "X.21"
  string x21line,                 "X.21 Line"
  string g703,                    "G.703"
  string g703line,                "G.703 Line"
  string g703-1,                  "G.703-1"
  string g703-1line,              "G.703-1 Line"
  string g703-2,                  "G.703-2"
  string g703-2line,              "G.703-2 Line"
  string atm,                     "ATM"
  string ch1,                     "Ch01"
  string ch2,                     "Ch02"
  string ch3,                     "Ch03"
  string ch4,                     "Ch04"
  string ch5,                     "Ch05"
  string ch6,                     "Ch06"
  string ch7,                     "Ch07"
  string ch8,                     "Ch08"            
  string ch1-1,                   "Ch1-1"
  string ch1-2,                   "Ch1-2"
  string ch2-1,                   "Ch2-1"
  string ch2-2,                   "Ch2-2"
  string ch3-1,                   "Ch3-1"
  string ch3-2,                   "Ch3-2"
  string ch4-1,                   "Ch4-1"
  string ch4-2,                   "Ch4-2"
  string protdetect,              "Protocol detection"
  string eurodss1,                "DSS1 (Euro-ISDN)"
  string 1tr6,                    "1TR6 (German ISDN)"
  string dss1p2p,                 "DSS1 Point to point"
  string grpo,                    "GRP0 (Leased line)"
  string euisdnandleasedline,     "DSS1 (Euro-ISDN) and GRP0 (Leased line)"
  string oneunit,                 "1 unit"
  string units,                   "$(from) units"
  string oneminute,               "1 minute"
  string minutes,                 "$(from) minutes"
  string err_noerr,               "No error"
  string err_dialfailure,         "Dial failure"
  string err_chargelimit,         "Charge limit exceeded"
  string err_nocallingnum,        "No calling number specified"
  string err_noremotespec,        "No remote specified"
  string err_remotedoubled,       "Remote doubled"
  string err_remotelocked,        "Remote locked"
  string err_nochargeinfo,        "No charging info"
  string err_yconnotallowed,      "Y-connections not allowed"
  string err_dail_failure,        "Dial failure"
  string err_remotebarred,        "Remote barred"
  string err_remotebusy,          "Remote busy"
  string err_remotenotresp,       "Remote not responding"
  string err_remoteerr,           "Remote error"
  string err_connrej,             "Connection rejected"
  string err_callnumchanged,      "Calling number changed"
  string err_remotenotready,      "Remote not ready"
  string err_wrongcallnum,        "Wrong calling number"
  string err_loclinebusy,         "Local line busy"
  string err_remotelinebusy,      "Remote line busy"
  string err_isdncongestion,      "ISDN congestion"
  string err_locallinelocked,     "Local line locked"
  string err_facnotperm,          "Facility not permitted"
  string err_servnotenabled,      "Service not available"
  string err_facnotavail,         "Facility not available"
  string err_incdest,             "Incompatible destination"
  string err_failedtoestabd1,     "Failed to establish D1"
  string err_failedtoestabd2,     "Failed to establish D2"
  string err_failedtoestabb1,     "Failed to establish B1"
  string err_failedtoestabb2,     "Failed to establish B2"
  string err_errisdnlayer1,       "Error ISDN layer 1"
  string err_abortdued2failure,   "Abort due to D2 failure"
  string err_abortdued3failure,   "Abort due to D3 failure"
  string err_abortdueb2failure,   "Abort due to B2 failure"
  string err_pubexchangenotresp,  "Public exchange not responding"
  string err_errisdnlayer1,       "Error ISDN layer 1"
  string err_facilitynotsupp,     "Facility not supported"
  string err_localerr,            "Local error"
  string err_abortduetod3failure, "Abort due to D3 failure"
  string err_lcprejected,         "LCP rejected"
  string err_authfailed,          "Authentication failed"
  string err_authrejected,        "Authentication rejected"
  string err_lcpconerr,           "LCP connection error"
  string err_paprej,              "PAP rejected"
  string err_paprecvtimeout,      "PAP receive timeout"
  string err_paptranstimeout,     "PAP transmit timeout"
  string err_wrongpapreq,         "Wrong PAP request"
  string err_papnakrecv,          "PAP-NAK received"
  string err_chaprej,             "CHAP rejected"
  string err_chaprecvtimeout,     "CHAP receive timeout"
  string err_chaptranstimeout,    "CHAP transmit timeout"
  string err_wrongchapresp,       "Wrong CHAP response"
  string err_chapfailrecv,        "CHAP fail received"
  string err_unkownchappeer,      "Unknown CHAP peer"
  string err_ipxcprej,            "IPXCP rejected"
  string err_wrongipxcpnet,       "Wrong IPXCP network"
  string err_ipxcpnetrej,         "IPXCP network rejected"
  string err_ipxcprouteunknown,   "IPXCP route unknown"
  string err_ipcprej,             "IPCP rejected"
  string err_ccprej,              "CCP rejected"
  string err_noncpavail,          "No NCP available"
  string err_timelimitexceeded,   "Time limit exceeded"
  string err_failedtoestb1,       "Failed to establish B1"
  string err_failedtoestb2,       "Failed to establish B2"
  string err_abortdueb2failure,   "Abort due to B2 failure"
  string err_errdsllayer1,        "Error DSL layer 1"
  string err_servnotavail,        "Service not available"
  string err_remotebusy,          "Remote busy"
  string err_generr,              "General error"
  string err_accconcentincorr,    "Access concentrator incorrect"
  string err_nameofaccconcentinc, "Name of access concentrator incorrect"
  string err_remoteerror,         "Remote error"
  string err_invalidsessid,       "Invalid session ID"
  string err_0xbla,               "Error 0x$(from as hex)"
  string vpnconinfo,              "One VPN connection active"
  string vpnconsinfo,             "$(vpn_con_cnt) VPN connections active"
  string vpn-connections,         "&VPN Connections"
  string accounting,              "&Accounting Information"

stringtable "Deutsch"
  string noresponse,              "$(address) (keine Antwort)"
  string notready,                "$(i map line): Nicht bereit"
  string ready,                   "$(i map line): Bereit"
  string incall6,                 "$(i map line): Anliegender Ruf von $6"
  string incall5,                 "$(i map line): Anliegender Ruf von $5"
  string incall,                  "$(i map line): Anliegender Ruf"
  string outcall6,                "$(i map line): Abgehender Ruf zu $6"
  string callback6,               "$(i map line): Rckruf zu $6"
  string outcall5,                "$(i map line): Abgehender Ruf zu $5"
  string outcall,                 "$(i map line): Abgehender Ruf"
  string leasedline6,             "$(i map line): Festverbindung zu $6"
  string protneg6,                "$(i map line): Protokollverhandlung mit $6"
  string conto6,                  "$(i map line): Verbunden mit $6"
  string conto5,                  "$(i map line): Verbunden mit $5"
  string disc,                    "$(i map line): Verbindung trennen"
  string bundled6,                "$(i map line): Gebndelte Festverbindung zu $6"
  string chanbundling6,           "$(i map line): Kanalbndelung mit $6"
  string connected,               "$(i map line): Verbunden"
  string lcapi,                   "LANCAPI-Client: $(3 as ip)"
  string abport,                  "a/b Port"
  string abportnum1,              "a/b Port Nummer 1"
  string abportnum2,              "a/b Port Nummer 2"
  string abportnum3,              "a/b Port Nummer 3"
  string abportnum4,              "a/b Port Nummer 4"
  string protocol,                "Protokoll"
  string protelsa,                "Protokoll: ELSA"
  string protppp,                 "Protokoll: PPP"
  string prottrans,               "Protokoll: Transparent"
  string nooptions,               "Keine Optionen"
  string optcompr,                "Optionen: Komprimierung"
  string optchanbundle,           "Optionen: Kanalbndelung"
  string optbundleandcompr,       "Optionen: Bndelung und Kompression"
  string netprottcp,              "Netzwerkprotokoll: TCP/IP"
  string ownip,                   "Eigene IP-Adresse: $1"
  string owndns,                  "Eigener DNS-Server: $1"
  string ownnbns,                 "Eigener NBNS-Server: $1"
  string remoteip,                "IP-Adresse der Gegenstelle: $1"
  string remotedns,               "DNS-Server der Gegenstelle: $1"
  string remotenbns,              "NBNS-Server der Gegenstelle: $1"
  string netprot,                 "Netzwerkprotokoll: IPX"
  string routemethod,             "Routing-Methode: $(1 select Keine 1 RIP-SAP 3 NLSP)"
  string wannet,                  "WAN-Netzwerk: $1"
  string ownnodeid,               "Eigene Stations-ID: $1"
  string remotenodeid,            "Stations-ID der Gegenstelle: $1"
  string contime,                 "Verbindungszeit: $(2 as duration)"
  string charg1,                  "Gebhren"
  string charg2,                  "Gebhren: $2 Einheit"
  string charg3,                  "Gebhren: $2 Einheiten"
  string sendrecv,                "Sende $5 cps, empfange $4 cps"
  string netmsg,                  "Meldung vom Netz: \"$1\""
  string noerror,                 "Fehler: Kein Fehler"
  string error,                   "Fehler: $(1 map err_text)"
  string error1,                  "Fehler ($(i map line)): Kein Fehler"
  string error2,                  "Fehler ($(i map line)): $(1 map err_text)"
  string sysinfo,                 "System-Informationen"
  string device,                  "Gert: $1 $(2 len 9)"
  string firmware,                "Firmwareversion: $(1 len 9)"
  string sernum,                  "Seriennummer: $1"
  string location,                "Standort: $1"
  string admin,                   "Administrator: $1"
  string datetime,                "Datum und Uhrzeit: $(1 as datetime)"
  string uptime,                  "Betriebszeit: $(1 /100 as duration)"
  string wlancard,                "WLAN-Karte: (nicht vorhanden)"
  string wlancard2,               "WLAN-Karte: $2"
  string wlanfirmware,            "Firmware: $2"
  string wlansernum,              "Seriennummer: $2"
  string wlan,                    "Wireless-LAN"
  string wlanstation,             "Station $2 ($1% Signalstrke)"
  string wlanstrength,            "Station $2 ($1% Signalstrke)"
  string wanintisdn,              "WAN-Interface: ISDN (S0 bus)"
  string wanint4isdn,             "WAN-Interfaces: 4 x ISDN (S0-Bus)"
  string wanint6001,              "WAN-Interfaces: ISDN (S0-Bus), X.21"
  string wanint6011,              "WAN-Interfaces: ISDN (S0-Bus), X.21, G.703"
  string wanint6021,              "WAN-Interfaces: ISDN (S0-Bus), X.21, 2 x G.703"
  string wanintdsl,               "WAN-Interface: DSL (Ethernet)"
  string wanintatm,               "WAN-Interface: ATM"
  string wanintadsl,              "WAN-Interface: ADSL"
  string s0bus,                   "S0-Bus $I: $(1 map dprot)"
  string s0bus_single,            "S0-Bus: $(1 map dprot)"  
  string usedprotocol,            "Protokoll: $(1 map dprot)"
  string s0active,                "S0 aktiviert: $(1 select Nein Ja)"
  string teiassigned,             "TEI zugewiesen: $(1 select Nein Ja)"
  string layer2act,               "Layer 2 aktiv: $(1 select Nein Ja)"
  string linkstate,               "Link-Status: $(1 select Down Up)"
  string x21inteface,             "X.21-Interface"
  string x21active,               "X.21 aktiviert: $(1 select Nein Ja)"
  string x21cts,                  "CTS: $(1 select Nein Ja)"
  string x21rts,                  "RTS: $(1 select Nein Ja)"
  string x21clock,                "Taktsignal vorhanden: $(1 select Nein Ja)"
  string g703inteface,            "G.703-Interface"
  string g703active,              "G.703 aktiv: $(1 select Nein Ja)"
  string g703attenuation,         "Leitungsdmpfung: $1"
  string sigpresent,              "Signal vorhanden: $(1 select Nein Ja)"
  string charge1,                 "Gebhren gesamt: $(1 map units)"
  string charge2,                 "Gebhreneinheiten gesamt"
  string chargitem,               "$(i map charge_item): $(1 map units) (Rest: $(3 map units))"
  string router,                  "Router"
  string routerisdn,              "Router (ISDN)"
  string routerdsl,               "Router (DSL)"
  string lancapi,                 "LANCAPI"
  string abport1,                 "a/b Port 1"
  string abport2,                 "a/b Port 2"
  string abport3,                 "a/b Port 3"
  string abport4,                 "a/b Port 4"
  string timesync,                "Zeit-Synchronisation"
  string inet,                    "Internet"
  string totonlinetime1,          "Verbindungszeit gesamt: $(1 map minutes)"
  string totonlinetime2,          "Verbindungszeit gesamt"
  string outmin,                  "$(i map minutes_item) (abgehend): $(1 map minutes)"
  string outminandremain,         "$(i map minutes_item) (abgehend): $(1 map minutes) (Rest: $(3 map minutes))"
  string incmin,                  "$(i map minutes_item) (ankommend): $(1 map minutes)"
  string actbudget,               "&Zustzliches Zeit-Limit freischalten"
  string errordisp,               "Fehler:"
  string notreadydisp,            "$(i map channel): Nicht bereit"
  string readydisp,               "$(i map channel): Bereit"
  string incalldisp,              "$(i map channel): Anliegender Ruf"
  string dialdisp,                "$(i map channel): Abgehender Ruf"
  string protocoldisp,            "$(i map channel): Protokoll"
  string discdisp,                "$(i map channel): Abbau"
  string callbackdisp,            "$(i map channel): Rckruf"
  string bundledisp,              "$(i map channel): $5/B"
  string lancapidisp,             "$(i map channel): LANCAPI"
  string abport1disp,             "$(i map channel): a/b Port 1"
  string abport2disp,             "$(i map channel): a/b Port 2"
  string abport3disp,             "$(i map channel): a/b Port 3"
  string abport4disp,             "$(i map channel): a/b Port 4"
  string clrerrdisp,              "Fehler &lschen"
  string clrerrondisp,            "Fehler auf $(1 map channel) &lschen"
  string mnudiscdisp,             "&Verbindung trennen"
  string mnudisc1disp,            "&Verbindung zu $1 trennen"
  string askdiskexit,             "Es besteht noch eine Verbindung zu der Gegenstelle \"$1\".\r\rMchten Sie diese Verbindung jetzt trennen?"
  string logdialfmt,              "$1 ($(address)) $(2 map line) $(3 -1 select -> <-) $4 ($5), $(3 -1 select Abgehender Ankommender) Ruf"
  string logcbfmt,                "$1 ($(address)) $(2 map line) $(3 -1 select -> <-) $4 ($5), Rueckruf"
  string logprotfmt,              "$1 ($(address)) $(2 map line) $(3 -1 select -> <-) $4 ($5), Protokoll"
  string logconnfmt,              "$1 ($(address)) $(2 map line) $(3 -1 select -> <-) $4 ($5), Verbunden"
  string logdiscfmt,              "$1 ($(address)) $(2 map line) $(3 -1 select -> <-) $4 ($5), Verb. beendet, Gebuehren: $6 Einh., Dauer: $7 Sek."
  string logerrorfmt,             "$1 ($(address)) Fehler aufgetreten auf $(2 map line): $(3 map err_text)"
  string infoconnfmt,             "$1 - $(2 map line)\nVerbunden mit $3"
  string infodiscfmt,             "$1 - $(2 map line)\nVerbindung beendet"
  string logconnabfmt,            "$1 ($(address)) a/b-Port $4 $(3 -1 select -> <-) $5, Verbunden"
  string logdiscabfmt,            "$1 ($(address)) a/b-Port $4 $(3 -1 select -> <-) $5, Verb. beendet, Gebhren: $6 Einh., Dauer: $7 Sek."
  string logconncapi,             "$1 ($(address)) LANCAPI-Client $(4 as ip) $(3 -1 select -> <-) $5, Verbunden"
  string logdisccapi,             "$1 ($(address)) LANCAPI-Client $(4 as ip) $(3 -1 select -> <-) $5, Verb. beendet, Gebhren: $6 Einh., Dauer: $7 Sek."
  string isdn1,                   "ISDN1"
  string isdn2,                   "ISDN2"
  string isdn3,                   "ISDN3"
  string isdn4,                   "ISDN4"
  string line1,                   "Line 1"
  string line2,                   "Line 2"
  string line3,                   "Line 3"
  string line4,                   "Line 4"
  string line5,                   "Line 5"
  string line6,                   "Line 6"
  string line7,                   "Line 7"
  string line8,                   "Line 8"
  string line9,                   "Line 9"
  string line10,                  "Line 10"
  string line11,                  "Line 11"
  string line12,                  "Line 12"
  string line1-1,                 "Line 1-1"
  string line1-2,                 "Line 1-2"
  string line2-1,                 "Line 2-1"
  string line2-2,                 "Line 2-2"
  string line3-1,                 "Line 3-1"
  string line3-2,                 "Line 3-2"
  string line4-1,                 "Line 4-1"
  string line4-2,                 "Line 4-2"
  string dsl,                     "DSL"
  string line,                    "Line"
  string dslline,                 "DSL Line"
  string isdn,                    "ISDN"
  string isdnline1,               "ISDN Line 1"
  string isdnline2,               "ISDN Line 2"
  string x21,                     "X.21"
  string x21line,                 "X.21 Line"
  string g703,                    "G.703"
  string g703line,                "G.703 Line"
  string g703-1,                  "G.703-1"
  string g703-1line,              "G.703-1 Line"
  string g703-2,                  "G.703-2"
  string g703-2line,              "G.703-2 Line"
  string atm,                     "ATM"
  string ch1,                     "Ch01"
  string ch2,                     "Ch02"
  string ch3,                     "Ch03"
  string ch4,                     "Ch04"
  string ch5,                     "Ch05"
  string ch6,                     "Ch06"
  string ch7,                     "Ch07"
  string ch8,                     "Ch08"
  string ch1-1,                   "Ch1-1"
  string ch1-2,                   "Ch1-2"
  string ch2-1,                   "Ch2-1"
  string ch2-2,                   "Ch2-2"
  string ch3-1,                   "Ch3-1"
  string ch3-2,                   "Ch3-2"
  string ch4-1,                   "Ch4-1"
  string ch4-2,                   "Ch4-2"
  string protdetect,              "Protokoll-Erkennung"
  string eurodss1,                "DSS1 (Euro-ISDN)"
  string 1tr6,                    "1TR6 (Nationales ISDN)"
  string dss1p2p,                 "DSS1 Punkt zu Punkt"
  string grpo,                    "GRP0 (Festverbindung)"
  string euisdnandleasedline,     "DSS1 (Euro-ISDN) und GRP0 (Festverbindung)"
  string oneunit,                 "1 Einheit"
  string units,                   "$(from) Einheiten"
  string oneminute,               "1 Minute"
  string minutes,                 "$(from) Minuten"
  string err_noerr,               "Kein Fehler"
  string err_dialfailure,         "Anwahl abgebrochen"
  string err_chargelimit,         "Gebhren-Limit erreicht"
  string err_nocallingnum,        "Keine Rufnummer angegeben"
  string err_noremotespec,        "Keine Gegenstelle angegeben"
  string err_remotedoubled,       "Gegenstelle doppelt"
  string err_remotelocked,        "Gegenstelle gesperrt"
  string err_nochargeinfo,        "Keine Gebhreninformationen"
  string err_yconnotallowed,      "Mehrere Verbindungen nicht erlaubt"
  string err_dail_failure,        "Anwahl abgebrochen"
  string err_remotebarred,        "Zielrufnummer gesperrt"
  string err_remotebusy,          "Gegenstelle besetzt"
  string err_remotenotresp,       "Gegenstelle antwortet nicht"
  string err_remoteerr,           "Fehler der Gegenstelle"
  string err_connrej,             "Verbindung abgelehnt"
  string err_callnumchanged,      "Rufnummer gendert"
  string err_remotenotready,      "Gegenstelle nicht bereit"
  string err_wrongcallnum,        "Rufnummer falsch"
  string err_loclinebusy,         "Eigene Leitung besetzt"
  string err_remotelinebusy,      "Leitung der Gegenstelle besetzt"
  string err_isdncongestion,      "Engpa im Netz"
  string err_locallinelocked,     "Eigene Leitung gesperrt"
  string err_facnotperm,          "Dienstmerkmal nicht erlaubt"
  string err_servnotenabled,      "Dienst nicht eingerichtet"
  string err_facnotavail,         "Dienstmerkmal nicht eingerichtet"
  string err_incdest,             "Gegenstelle nicht kompatibel"
  string err_failedtoestabd1,     "Aufbau D1 fehlgeschlagen"
  string err_failedtoestabd2,     "Aufbau D2 fehlgeschlagen"
  string err_failedtoestabb1,     "Aufbau B1 fehlgeschlagen"
  string err_failedtoestabb2,     "Aufbau B2 fehlgeschlagen"
  string err_errisdnlayer1,       "Fehler ISDN Layer1"
  string err_abortdued2failure,   "Abbruch wegen D2 Fehler"
  string err_abortdued3failure,   "Abbruch wegen D3 Fehler"
  string err_abortdueb2failure,   "Abbruch wegen B2 Fehler"
  string err_pubexchangenotresp,  "Vermittlungsstelle antwortet nicht"
  string err_errisdnlayer1,       "Fehler ISDN Layer1"
  string err_facilitynotsupp,     "Dienstmerkmal nicht untersttzt"
  string err_localerr,            "Lokaler Fehler"
  string err_abortduetod3failure, "Abbruch wegen D3 Fehler"
  string err_lcprejected,         "LCP abgelehnt"
  string err_authfailed,          "Authentifizierung fehlgeschlagen"
  string err_authrejected,        "Authentifizierung abgelehnt"
  string err_lcpconerr,           "LCP Verbindungs-Fehler"
  string err_paprej,              "PAP abgelehnt"
  string err_paprecvtimeout,      "PAP Empfangs-Timeout"
  string err_paptranstimeout,     "PAP Sende-Timeout"
  string err_wrongpapreq,         "PAP-Request falsch"
  string err_papnakrecv,          "PAP-NAK empfangen"
  string err_chaprej,             "CHAP abgelehnt"
  string err_chaprecvtimeout,     "CHAP Empfangs-Timeout"
  string err_chaptranstimeout,    "CHAP Sende-Timeout"
  string err_wrongchapresp,       "CHAP-Response falsch"
  string err_chapfailrecv,        "CHAP-Fail empfangen"
  string err_unkownchappeer,      "CHAP Gegenstelle unbekannt"
  string err_ipxcprej,            "IPXCP abgelehnt"
  string err_wrongipxcpnet,       "IPXCP-Netzwerk falsch"
  string err_ipxcpnetrej,         "IPXCP-Netzwerk abgelehnt"
  string err_ipxcprouteunknown,   "IPXCP-Route unbekannt"
  string err_ipcprej,             "IPCP abgelehnt"
  string err_ccprej,              "CCP abgelehnt"
  string err_noncpavail,          "Kein NCP verfgbar"
  string err_timelimitexceeded,   "Zeit-Limit erreicht"
  string err_failedtoestb1,       "Aufbau B1 fehlgeschlagen"
  string err_failedtoestb2,       "Aufbau B2 fehlgeschlagen"
  string err_abortdueb2failure,   "Abbruch wegen B2 Fehler"
  string err_errdsllayer1,        "Fehler DSL Layer1"
  string err_servnotavail,        "Dienst nicht verfgbar"
  string err_remotebusy,          "Gegenstelle besetzt"
  string err_generr,              "Allgemeiner Fehler"
  string err_accconcentincorr,    "Access Concentrator falsch"
  string err_nameofaccconcentinc, "Name des Access Concentrators falsch"
  string err_remoteerror,         "Fehler der Gegenstelle"
  string err_invalidsessid,       "Ungltige Session-ID"
  string err_0xbla,               "Fehler 0x$(from as hex)"
  string vpnconinfo,              "Eine VPN-Verbindung aktiv"  
  string vpnconsinfo,             "$(vpn_con_cnt) VPN-Verbindungen aktiv"  
  string vpn-connections,         "&VPN-Verbindungen"
  string accounting,              "&Accounting-Informationen"

device lancom_800
  name "LANCOM 800 Office"
  vendor "ELSA"
  root 1.3.6.1.4.1.2356.400.1.800, 1.3.6.1.2.1
  detect 1.3.1.1.2.1, "LANCOM 800 Office"
  register 450, enter:regmon enter:regmonwan leave:unregmon
  childs lc_800, vpn, accounting
  display lc_800, display:2, display:3
  plugin vpn, accounting

device lancom_1000 
  name "LANCOM 1000 Office"
  vendor "ELSA"
  root 1.3.6.1.4.1.2356.400.1.1000, 1.3.6.1.2.1
  detect 1.3.1.1.2.1, "LANCOM 1000 Office"
  register 450, enter:regmon enter:regmonwan leave:unregmon 
  childs lc_1000, vpn, accounting
  display lc_1000, display:2, display:3 
  plugin vpn, accounting
 
device lancom_1100 
  name "LANCOM 1100 Office"
  vendor "ELSA"
  root 1.3.6.1.4.1.2356.400.1.1100, 1.3.6.1.2.1
  detect 1.3.1.1.2.1, "LANCOM 1100 Office"
  register 450, enter:regmon enter:regmonwan leave:unregmon 
  childs lc_1100, vpn, accounting
  display lc_1100, display:2, display:3
  plugin vpn, accounting

device lancom_2000
  name "LANCOM 2000 Office"
  vendor "ELSA"
  root 1.3.6.1.4.1.2356.400.1.2000, 1.3.6.1.2.1
  detect 1.3.1.1.2.1, "LANCOM 2000 Office"
  register 450, enter:regmon enter:regmonwan leave:unregmon
  childs lc_2000, vpn, accounting
  display lc_2000, display:2, display:3
  plugin vpn, accounting

device lancom_4000
  name "LANCOM Business 4000"
  vendor "ELSA"
  root 1.3.6.1.4.1.2356.400.1.4000, 1.3.6.1.2.1
  detect 1.3.1.1.2.1, "LANCOM Business 4000"
  register 450, enter:regmon enter:regmonwan leave:unregmon
  childs lc_4000, vpn, accounting
  display lc_4000, display:2, display:3
  plugin vpn, accounting

device lancom_4100
  name "LANCOM Business 4100"
  vendor "ELSA"
  root 1.3.6.1.4.1.2356.400.1.4100, 1.3.6.1.2.1
  detect 1.3.1.1.2.1, "LANCOM Business 4100"
  register 450, enter:regmon enter:regmonwan leave:unregmon
  childs lc_4100, vpn, accounting
  display lc_4100, display:2, display:3, display:5, display:6, display:8, display:9, display:11, display:12
  plugin vpn, accounting

device lancom_6001
  name "LANCOM Business 6001"
  vendor "ELSA"
  root 1.3.6.1.4.1.2356.400.1.6001, 1.3.6.1.2.1
  detect 1.3.1.1.2.1, "LANCOM Business 6001"
  register 450, enter:regmon enter:regmonwan leave:unregmon
  childs lc_6001, vpn, accounting
  display lc_6001, display:2, display:3
  plugin vpn, accounting

device lancom_6011
  name "LANCOM Business 6011"
  vendor "ELSA"
  root 1.3.6.1.4.1.2356.400.1.6011, 1.3.6.1.2.1
  detect 1.3.1.1.2.1, "LANCOM Business 6011"
  register 450, enter:regmon enter:regmonwan leave:unregmon
  childs lc_6011, vpn, accounting
  display lc_6011, display:2, display:3
  plugin vpn, accounting

device lancom_6021
  name "LANCOM Business 6021"
  vendor "ELSA"
  root 1.3.6.1.4.1.2356.400.1.6021, 1.3.6.1.2.1
  detect 1.3.1.1.2.1, "LANCOM Business 6021"
  register 450, enter:regmon enter:regmonwan leave:unregmon
  childs lc_6021, vpn, accounting
  display lc_6021, display:2, display:3
  plugin vpn, accounting
  
device lancom_dsl10
  name "LANCOM DSL/10 Office"
  vendor "ELSA"
  root 1.3.6.1.4.1.2356.500.2.1, 1.3.6.1.2.1
  detect 1.3.1.1.2.1, "LANCOM DSL/10 Office"
  register 450, enter:regmon enter:regmonwan leave:unregmon
  childs lc_dsl10, vpn, accounting
  plugin vpn, accounting

device lancom_dsli10
  name "LANCOM DSL/I-10 Office"
  vendor "ELSA"
  root 1.3.6.1.4.1.2356.500.2.2, 1.3.6.1.2.1
  detect 1.3.1.1.2.1, "LANCOM DSL/I-10 Office"
  register 450, enter:regmon enter:regmonwan leave:unregmon
  childs lc_dsli10, vpn, accounting
  display lc_dsli10, display:4, display:5
  plugin vpn, accounting

device lancom_dsl25
  name "LANCOM DSL/25 Office"
  vendor "ELSA"
  root 1.3.6.1.4.1.2356.500.1.1, 1.3.6.1.2.1
  detect 1.3.1.1.2.1, "LANCOM DSL/25 Office"
  register 450, enter:regmon enter:regmonwan leave:unregmon
  childs lc_dsl25, vpn, accounting
  plugin vpn, accounting
  
device lancom_adsl
  name "LANCOM ADSL"
  vendor "ELSA"
  root 1.3.6.1.4.1.2356.500.4.1, 1.3.6.1.2.1
  detect 1.3.1.1.2.1, "LANCOM ADSL"
  register 450, enter:regmon enter:regmonwan leave:unregmon
  childs lc_adsl, vpn, accounting
  plugin vpn, accounting

device lancom_wrl_l2
  name "LANCOM Wireless L-2"
  vendor "ELSA"
  root 1.3.6.1.4.1.2356.600.2.1, 1.3.6.1.2.1
  detect 1.3.1.1.2.1, "LANCOM Wireless L-2"
  childs lc_wrl_l2, vpn, accounting
  plugin vpn, accounting

device lancom_wrl_l2_dsl
  name "LANCOM Wireless L-2 (DSL)"
  vendor "ELSA"
  root 1.3.6.1.4.1.2356.500.3.1, 1.3.6.1.2.1
  detect 1.3.1.1.2.1, "LANCOM Wireless L-2"
  register 450, enter:regmon enter:regmonwan leave:unregmon
  childs lc_wrl_l2_dsl, vpn, accounting
  plugin vpn, accounting

device lancom_wrl_il2
  name "LANCOM Wireless IL-2"
  vendor "ELSA"
  root 1.3.6.1.4.1.2356.600.1.1, 1.3.6.1.2.1
  detect 1.3.1.1.2.1, "LANCOM Wireless IL-2"
  register 450, enter:regmon enter:regmonwan leave:unregmon
  childs lc_wrl_il2, vpn, accounting
  display lc_wrl_il2, display:2, display:3
  plugin vpn, accounting

device lancom_wrl_il2_dsl
  name "LANCOM Wireless IL-2 (DSL)"
  vendor "ELSA"
  root 1.3.6.1.4.1.2356.500.3.3, 1.3.6.1.2.1
  detect 1.3.1.1.2.1, "LANCOM Wireless IL-2"
  register 450, enter:regmon enter:regmonwan leave:unregmon
  childs lc_wrl_il2_dsl, vpn, accounting
  plugin vpn, accounting

device lancom_wrl_l11
  name "LANCOM Wireless L-11"
  vendor "ELSA"
  root 1.3.6.1.4.1.2356.600.2.2, 1.3.6.1.2.1
  detect 1.3.1.1.2.1, "LANCOM Wireless L-11"
  childs lc_wrl_l11, vpn, accounting
  plugin vpn, accounting

device lancom_wrl_l11_dsl
  name "LANCOM Wireless L-11 (DSL)"
  vendor "ELSA"
  root 1.3.6.1.4.1.2356.500.3.2, 1.3.6.1.2.1
  detect 1.3.1.1.2.1, "LANCOM Wireless L-11"
  register 450, enter:regmon enter:regmonwan leave:unregmon
  childs lc_wrl_l11_dsl, vpn, accounting
  plugin vpn, accounting

device lancom_wrl_il11
  name "LANCOM Wireless IL-11"
  vendor "ELSA"
  root 1.3.6.1.4.1.2356.600.1.2, 1.3.6.1.2.1
  detect 1.3.1.1.2.1, "LANCOM Wireless IL-11"
  register 450, enter:regmon enter:regmonwan leave:unregmon
  childs lc_wrl_il11, vpn, accounting
  display lc_wrl_il11, display:2, display:3
  plugin vpn, accounting

device lancom_wrl_il11_dsl
  name "LANCOM Wireless IL-11 (DSL)"
  vendor "ELSA"
  root 1.3.6.1.4.1.2356.500.3.4, 1.3.6.1.2.1
  detect 1.3.1.1.2.1, "LANCOM Wireless IL-11"
  register 450, enter:regmon enter:regmonwan leave:unregmon
  childs lc_wrl_il11_dsl, vpn, accounting
  display lc_wrl_il11_dsl, display:4, display:5
  plugin vpn, accounting
  
device microlink_webgate
  name "MicroLink ISDN 4U"
  vendor "ELSA"
  root 1.3.6.1.4.1.2356.400.1.1101, 1.3.6.1.2.1
  detect 1.3.1.1.2.1, "MicroLink ISDN 4U"
  register 450, enter:regmon enter:regmonwan leave:unregmon 
  childs ml_webgate, vpn, accounting
  display ml_webgate, display:2, display:3
  plugin vpn, accounting

function regmon
  set 1.2.9.5, "*:* * 1"

function unregmon
  set 1.2.9.6, "*"

function regmonwan
  set 1.2.9.5, "*:* W 1"
  
plugin vpn
  uses 1.2.19.8.0, 1.1.25.11.1

item vpn
  uses 1.2.19.8.0
  states ($1 != 0 && $1 != "")
  text "VPN enabled: No", "VPN enabled: Yes"
  action 0, menuex:vpn
  refresh time:100
  flags hide
  image 9

function vpn
  text str.vpn-connections
  execplugin vpn

plugin accounting
  uses 1.2.18.1.0, 1.2.18.4.1, 1.2.18.5.1, 1.2.18.6

item accounting
  uses 1.2.18.1.0
  states ($1 != 0 && $1 != "")
  text "Accounting enabled: No", "Accounting enabled: Yes"
  action 0, menuex:accounting
  refresh time:100
  flags hide
  image 9
  
function accounting
  text str.accounting
  execplugin accounting

item lc_800
  uses 1.2.1.0
  states ($(error) == 0 && $1 == ""), ($(error) == 0 && $1 != "")
  text str.noresponse, "LANCOM 800 Office", "$1"
  image 1, 2, 2
  refresh time:100
  flags error, 0, 0
  childs line:2, line:3, error:1, sysinfo_ofc1x00

item lc_1000
  uses 1.2.1.0
  states ($(error) == 0 && $1 == ""), ($(error) == 0 && $1 != "")
  text str.noresponse, "LANCOM 1000 Office", "$1"
  image 1, 2, 2
  refresh time:100
  flags error, 0, 0
  childs line:2, line:3, error:1, sysinfo_ofc1x00

item lc_1100
  uses 1.2.1.0
  states ($(error) == 0 && $1 == ""), ($(error) == 0 && $1 != "")
  text str.noresponse, "LANCOM 1100 Office", "$1"
  image 1, 2, 2
  refresh time:100
  flags error, 0, 0
  childs line:2, line:3, error:1, sysinfo_ofc1x00

item lc_2000
  uses 1.2.1.0
  states ($(error) == 0 && $1 == ""), ($(error) == 0 && $1 != "")
  text str.noresponse, "LANCOM 2000 Office", "$1"
  image 1, 2, 2
  refresh time:100
  flags error, 0, 0
  childs line:2, line:3, error:1, sysinfo_ofc2000

item lc_4000
  uses 1.2.1.0
  states ($(error) == 0 && $1 == ""), ($(error) == 0 && $1 != "")
  text str.noresponse, "LANCOM Business 4000", "$1"
  image 1, 2, 2
  refresh time:100
  flags error, 0, 0
  childs line:2, line:3, error2:1, sysinfo_biz4000

item lc_4100
  uses 1.2.1.0
  states ($(error) == 0 && $1 == ""), ($(error) == 0 && $1 != "")
  text str.noresponse, "LANCOM Business 4100", "$1"
  image 1, 2, 2
  refresh time:100
  flags error, 0, 0
  childs line:2, line:3, error2:1, line:5, line:6, error2:4, line:8, line:9, error2:7, line:11, line:12, error2:10, sysinfo_biz4100
  
item lc_6001
  uses 1.2.1.0
  states ($(error) == 0 && $1 == ""), ($(error) == 0 && $1 != "")
  text str.noresponse, "LANCOM Business 6001", "$1"
  image 1, 2, 2
  refresh time:100
  flags error, 0, 0
  childs line:2, line:3, error2:1, line:5, error2:4, sysinfo_biz6001

item lc_6011
  uses 1.2.1.0
  states ($(error) == 0 && $1 == ""), ($(error) == 0 && $1 != "")
  text str.noresponse, "LANCOM Business 6011", "$1"
  image 1, 2, 2
  refresh time:100
  flags error, 0, 0
  childs line:2, line:3, error2:1, line:5, error2:4, line:7, error2:6, sysinfo_biz6011
  
item lc_6021
  uses 1.2.1.0
  states ($(error) == 0 && $1 == ""), ($(error) == 0 && $1 != "")
  text str.noresponse, "LANCOM Business 6021", "$1"
  image 1, 2, 2
  refresh time:100
  flags error, 0, 0
  childs line:2, line:3, error2:1, line:5, error2:4, line:7, error2:6, line:9, error2:8, sysinfo_biz6021

item lc_dsl10
  uses 1.2.1.0
  states ($(error) == 0 && $1 == ""), ($(error) == 0 && $1 != "")
  text str.noresponse, "LANCOM DSL/10 Office", "$1"
  image 1, 2, 2
  refresh time:100
  flags error, 0, 0
  childs line:2, error:1, sysinfo_dsl10
  
item lc_dsli10
  uses 1.2.1.0
  states ($(error) == 0 && $1 == ""), ($(error) == 0 && $1 != "")
  text str.noresponse, "LANCOM DSL/I-10 Office", "$1"
  image 1, 2, 2
  refresh time:100
  flags error, 0, 0
  childs line:2, error:1, line:4, line:5, error:3, sysinfo_dsli10

item lc_dsl25
  uses 1.2.1.0
  states ($(error) == 0 && $1 == ""), ($(error) == 0 && $1 != "")
  text str.noresponse, "LANCOM DSL/25 Office", "$1"
  image 1, 2, 2
  refresh time:100
  flags error, 0, 0
  childs line:2, line:3, line:4, line:5, line:6, line:7, line:8, line:9, line:10, line:11, line:12, line:13, error:1, sysinfo_dsl25
  
item lc_adsl
  uses 1.2.1.0
  states ($(error) == 0 && $1 == ""), ($(error) == 0 && $1 != "")
  text str.noresponse, "LANCOM ADSL", "$1"
  image 1, 2, 2
  refresh time:100
  flags error, 0, 0
  childs line:2, error:1, sysinfo_adsl

item lc_wrl_l2
  uses 1.2.1.0
  states ($(error) == 0 && $1 == ""), ($(error) == 0 && $1 != "")
  text str.noresponse, "LANCOM Wireless L-2", "$1"
  image 1, 2, 2
  refresh time:100
  flags error, 0, 0
  childs wlan, sysinfo_wrl_l2

item lc_wrl_l2_dsl
  uses 1.2.1.0
  states ($(error) == 0 && $1 == ""), ($(error) == 0 && $1 != "")
  text str.noresponse, "LANCOM Wireless L-2 (DSL)", "$1"
  image 1, 2, 2
  refresh time:100
  flags error, 0, 0
  childs line:2, error:1, wlan, sysinfo_wrl_l2_dsl
  
item lc_wrl_il2
  uses 1.2.1.0
  states ($(error) == 0 && $1 == ""), ($(error) == 0 && $1 != "")
  text str.noresponse, "LANCOM Wireless IL-2", "$1"
  image 1, 2, 2
  refresh time:100
  flags error, 0, 0
  childs line:2, line:3, error:1, wlan, sysinfo_wrl_il2

item lc_wrl_il2_dsl
  uses 1.2.1.0
  states ($(error) == 0 && $1 == ""), ($(error) == 0 && $1 != "")
  text str.noresponse, "LANCOM Wireless IL-2 (DSL)", "$1"
  image 1, 2, 2
  refresh time:100
  flags error, 0, 0
  childs line:2, error:1, line:4, line:5, error:3, wlan, sysinfo_wrl_il2_dsl
  
item lc_wrl_l11
  uses 1.2.1.0
  states ($(error) == 0 && $1 == ""), ($(error) == 0 && $1 != "")
  text str.noresponse, "LANCOM Wireless L-11", "$1"
  image 1, 2, 2
  refresh time:100
  flags error, 0, 0
  childs wlan, sysinfo_wrl_l2

item lc_wrl_l11_dsl
  uses 1.2.1.0
  states ($(error) == 0 && $1 == ""), ($(error) == 0 && $1 != "")
  text str.noresponse, "LANCOM Wireless L-11 (DSL)", "$1"
  image 1, 2, 2
  refresh time:100
  flags error, 0, 0
  childs line:2, error:1, wlan, sysinfo_wrl_l2_dsl

item lc_wrl_il11
  uses 1.2.1.0
  states ($(error) == 0 && $1 == ""), ($(error) == 0 && $1 != "")
  text str.noresponse, "LANCOM Wireless IL-11", "$1"
  image 1, 2, 2
  refresh time:100
  flags error, 0, 0
  childs line:2, line:3, error:1, wlan, sysinfo_wrl_il2

item lc_wrl_il11_dsl
  uses 1.2.1.0
  states ($(error) == 0 && $1 == ""), ($(error) == 0 && $1 != "")
  text str.noresponse, "LANCOM Wireless IL-11 (DSL)", "$1"
  image 1, 2, 2
  refresh time:100
  flags error, 0, 0
  childs line:2, error:1, line:4, line:5, error:3, wlan, sysinfo_wrl_il2_dsl

item ml_webgate
  uses 1.2.1.0
  states ($(error) == 0 && $1 == ""), ($(error) == 0 && $1 != "")
  text str.noresponse, "MicroLink ISDN 4U", "$1"
  image 1, 2, 2
  refresh time:100
  flags error, 0, 0
  childs line:2, line:3, error:1, sysinfo_webgate

item line 
  uses 1.1.19.1.4.$I, 1.1.19.1.5.$I, 1.1.19.1.6.$I, 1.1.19.1.7.$I, 1.1.19.1.8.$I, 1.1.19.1.11.$I
  states \ 
    (($1 >> 24 & 0xFF) <= 0x01),                        \ ; -- init
    (($1 >> 24 & 0xFF) == 0x02 && ($(4 map err) == 0 || ($(details) & 0x01) == 0)),\ ; -- idle w/o error
    (($1 >> 24 & 0xFF) == 0x04 && $2 == 1 && $6 != ""), \ ; <- called by <name>
    (($1 >> 24 & 0xFF) == 0x04 && $5 != ""),            \ ; <- called by <num>
    (($1 >> 24 & 0xFF) == 0x04),                        \ ; <- called
    (($1 >> 16 & 0xFFFF) == 0x0304 && $2 == 1),         \ ; -> calling <name>
    (($1 >> 16 & 0xFFFF) == 0x0309 && $2 == 1),         \ ; -> callback <name>
    (($1 >> 24 & 0xFF) == 0x03 && $5 != ""),            \ ; -> calling <num>
    (($1 >> 24 & 0xFF) == 0x03),                        \ ; -> calling    
    (($1 >> 16 & 0xFF) == 0x05),                        \ ; <- called by <name>
    (($1 >> 16 & 0xFF) == 0x04),                        \ ; -> calling <name>    
    (($1 >> 16 & 0xFF) == 0x06 && $2 == 1 && $3 == 2),  \ ; <- protocol
    (($1 >> 16 & 0xFF) == 0x06 && $2 == 1),             \ ; -> protocol
    (($1 >> 16 & 0xFF) == 0x07 && $2 == 1 && $3 == 3),  \ ; -> leased-line to <name>
    (($1 >> 16 & 0xFF) == 0x07 && $2 == 1 && $3 == 2),  \ ; <- connected to <name>
    (($1 >> 16 & 0xFF) == 0x07 && $2 == 1),             \ ; -> connected to <name>
    (($1 >> 16 & 0xFF) == 0x08 && $2 == 1 && $3 == 2),  \ ; <- disconnect
    (($1 >> 16 & 0xFF) == 0x08 && $2 == 1),             \ ; -> disconnect
    (($1 >> 16 & 0xFF) == 0x0A && $2 == 1 && $3 == 3),  \ ; -> leased-line bundling
    (($1 >> 16 & 0xFF) == 0x0A && $2 == 1 && $3 == 2),  \ ; <- bundling
    (($1 >> 16 & 0xFF) == 0x0A && $2 == 1),             \ ; -> bundling
    (($1 >> 24 & 0xFF) == 0x05 && $5 != "" && $3 == 2), \ ; <- connected to <num>
    (($1 >> 24 & 0xFF) == 0x05 && $5 != ""),            \ ; -> connected to <num>
    (($1 >> 24 & 0xFF) == 0x05 && $3 == 2),             \ ; <- connected
    (($1 >> 24 & 0xFF) == 0x05),                        \ ; -> connected
    (($1 >> 24 & 0xFF) == 0x06 && $3 == 2),             \ ; <- disconnect
    (($1 >> 24 & 0xFF) == 0x06)                           ; -> disconnect
  text \ 
    "$(i map line): $(4 map err_text)",\               ; fehler
    str.notready,\                                     ; init
    str.ready,\                                        ; idle
    str.incall6,\                                      ; called by <name>
    str.incall5,\                                      ; called by <num>
    str.incall,\                                       ; called
    str.outcall6,\                                     ; calling <name>
    str.callback6,\                                    ; callback <name>
    str.outcall5,\                                     ; calling <num>
    str.outcall,\                                      ; calling    
    str.incall6,\                                      ; called by <name>
    str.outcall6,\                                     ; calling <name>    
    str.protneg6, #,\                                  ; protocol (2x)
    str.leasedline6,\                                  ; leased-line to <name>
    str.conto6, #,\                                    ; connected to <name> (2x)
    str.disc, #,\                                      ; disconnect (2x)
    str.bundled6,\                                     ; leased-line bundling
    str.chanbundling6, #,\                             ; bundling (2x)
    str.conto5, #,\                                    ; connected to <num> (2x)
    str.connected, #,\                                 ; connected (2x)
    str.disc, #                                        ; disconnect (2x)
  image 4, 20, 3, 6, 6, 6, 5, 5, 5, 5, 6, 5, 6, 5, 7, 8, 7, 6, 5, 7, 8, 7, 8, 7, 8, 7, 6, 5
  action menudef:clrerr:$I:0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, menudef:disc:$6 exit:disc_exit:$6, #, menudef:disc:$6, menudef:disc:$6 exit:disc_exit:$6, #, 0, 0, menudef:disc:$6, menudef:disc:$6 exit:disc_exit:$6, #, 0, 0, 0, 0, 0, 0
  flags error, 0, 0, connect, #, #, #, #, #, #, #, #, #, #, #, #, #, #, #, #, #, #, #, #, #, #, #, #
  childs capi_client:$I, ab_port:$I, prot:$I, vpn_con_info:$I, line_contime:$I, line_charge:$I, line_cps:$I, line_log_con:$I, line_log_ab:$I, line_log_capi:$I, line_msg:$I

item capi_client
  uses 1.1.19.1.4.$I, 1.1.19.1.5.$I, 1.1.19.1.9.$I
  states (($1 >> 24 & 0xFF) >= 0x03 && $2 == 2 && $3 > 0)
  text str.lcapi
  image 14
  flags hide, 0

item ab_port
  uses 1.1.19.1.4.$I, 1.1.19.1.5.$I, 1.1.19.1.9.$I
  states \ 
    (($1 >> 24 & 0xFF) >= 0x03 && $2 == 3 && $3 == 0x01),\ 
    (($1 >> 24 & 0xFF) >= 0x03 && $2 == 3 && $3 == 0x02),\ 
    (($1 >> 24 & 0xFF) >= 0x03 && $2 == 3 && $3 == 0x04),\     
    (($1 >> 24 & 0xFF) >= 0x03 && $2 == 3 && $3 == 0x08)
  text \ 
    str.abport,\ 
    str.abportnum1,\ 
    str.abportnum2,\ 
    str.abportnum3,\ 
    str.abportnum4
  image 12
  flags hide, 0, 0, 0, 0

item prot
  uses 1.1.19.1.4.$I, 1.1.19.1.5.$I, 1.1.19.1.9.$I, 1.1.15.1.4.$3
  states \ 
    ((($1 >> 16 & 0xFF) == 0x07 || ($1 >> 16 & 0xFF) == 0x0A) && $2 == 1 && $4 == 0), \ 
    ((($1 >> 16 & 0xFF) == 0x07 || ($1 >> 16 & 0xFF) == 0x0A) && $2 == 1 && $4 >= 4 && $4 <= 7), \ 
    ((($1 >> 16 & 0xFF) == 0x07 || ($1 >> 16 & 0xFF) == 0x0A) && $2 == 1 && $4 >= 8)
  text \ 
    str.protocol,\ 
    str.protelsa,\ 
    str.protppp,\ 
    str.prottrans
  image 16
  flags hide, 0, 0, 0
  childs prot_opt:$3, prot_ipcp:$3, prot_ipxcp:$3

item prot_opt
  uses 1.1.15.1.6.$I
  states ($1 == 0), ($1 == 1), ($1 == 2)
  text str.nooptions, str.optcompr, str.optchanbundle, str.optbundleandcompr
  image 16
  flags hide, 0, 0, 0

item prot_ipcp
  uses 1.1.6.1.1.4.$I
  states ($1 == 0x0A)
  text str.netprottcp
  image 16
  flags hide, 0
  childs prot_ipcp_rx_addr:$I, prot_ipcp_rx_dns:$I, prot_ipcp_rx_nbns:$I, prot_ipcp_tx_addr:$I, prot_ipcp_tx_dns:$I, prot_ipcp_tx_nbns:$I

item prot_ipcp_rx_addr
  uses 1.1.6.8.3.1.2.$I
  states ($1 != "0.0.0.0")
  text str.ownip
  image 16
  flags hide, 0

item prot_ipcp_rx_dns
  uses 1.1.6.8.3.1.3.$I
  states ($1 != "0.0.0.0")
  text str.owndns
  image 16
  flags hide, 0

item prot_ipcp_rx_nbns
  uses 1.1.6.8.3.1.4.$I
  states ($1 != "0.0.0.0")
  text str.ownnbns
  image 16
  flags hide, 0

item prot_ipcp_tx_addr
  uses 1.1.6.9.3.1.2.$I
  states ($1 != "0.0.0.0")
  text str.remoteip
  image 16
  flags hide, 0

item prot_ipcp_tx_dns
  uses 1.1.6.9.3.1.3.$I
  states ($1 != "0.0.0.0")
  text str.remotedns
  image 16
  flags hide, 0

item prot_ipcp_tx_nbns
  uses 1.1.6.9.3.1.4.$I
  states ($1 != "0.0.0.0")
  text str.remotenbns
  image 16
  flags hide, 0

item prot_ipxcp
  uses 1.1.6.1.1.5.$I
  states ($1 == 0x0A)
  text str.netprot
  image 16
  flags hide, 0
  childs prot_ipxcp_routing:$I, prot_ipxcp_wanaddr:$I, prot_ipxcp_rx_addr:$I, prot_ipxcp_tx_addr:$I

item prot_ipxcp_routing
  uses 1.1.6.8.2.1.4.$I
  states ($1 != 0)
  text str.routemethod
  image 16
  flags hide, 0

item prot_ipxcp_wanaddr
  uses 1.1.6.8.2.1.2.$I
  states ($(1 hex as int) != 0)
  text str.wannet
  image 16
  flags hide, 0

item prot_ipxcp_rx_addr
  uses 1.1.6.8.2.1.3.$I
  states ($(1 hex as int) != 0)
  text str.ownnodeid
  image 16
  flags hide, 0

item prot_ipxcp_tx_addr
  uses 1.1.6.9.2.1.3.$I
  states ($(1 hex as int) != 0)
  text str.remotenodeid
  image 16
  flags hide, 0

item vpn_con_info
  uses 1.1.19.1.4.$I, 1.1.19.1.5.$I
  states ((($1 >> 16 & 0xFF) == 0x07 || ($1 >> 16 & 0xFF) == 0x0A) && (($1 >> 8 & 0xFF) == 2) && $2 == 1), ((($1 >> 16 & 0xFF) == 0x07 || ($1 >> 16 & 0xFF) == 0x0A) && (($1 >> 8 & 0xFF) > 2) && $2 == 1)
  text str.vpnconsinfo, str.vpnconinfo
  term vpn_con_cnt, ($1 >> 8 & 0xFF) - 1
  image 9
  flags hide, 0, 0

item line_contime
  uses 1.1.19.1.4.$I, 1.1.19.1.12.$I
  states (($1 >> 24 & 0xFF) == 0x05)
  text str.contime
  image 9
  flags hide, 0
  refresh 0, time:50

item line_charge
  uses 1.1.19.1.4.$I, 1.1.19.1.10.$I
  states (($1 >> 24 & 0xFF) == 0x05 && $2 == 1), (($1 >> 24 & 0xFF) == 0x05 && $2 > 1)
  text str.charg1, str.charg2, str.charg3
  image 9
  flags hide, 0, 0

item line_cps
  uses 1.1.19.1.4.$I, 1.1.19.1.5.$I, 1.1.19.1.9.$I, 1.1.4.8.1.4.$3, 1.1.4.8.1.5.$3
  states ($2 == 1 && (($1 >> 16 & 0xFF) == 0x07 || ($1 >> 16 & 0xFF) == 0x0A))
  text str.sendrecv
  image 9
  flags hide, 0
  refresh 0, time:50

item line_msg
  uses 1.1.19.1.14.$I
  states ($(details) & 0x02 && $1 != "")
  text str.netmsg
  image 9
  flags hide, 0

item error
  uses 1.1.19.1.7.$I
  states ($(1 map err) && ($(details) & 0x01))
  text str.noerror, str.error
  image 10
  action menudef:clrerr:$I:0
  flags hide, error

item error2
  uses 1.1.19.1.7.$I
  states ($(1 map err) && ($(details) & 0x01))
  text str.error1, str.error2
  image 10
  action menudef:clrerr:$I:0
  flags hide, error

item sysinfo_ofc1x00
  text str.sysinfo
  states ($(details) & 0x04)
  image 9
  flags hide, 0
  childs device, wan_isdn:1, charge1, minutes
  
item sysinfo_ofc2000
  text str.sysinfo
  states ($(details) & 0x04)
  image 9
  flags hide, 0
  childs device, wan_isdn:1, charge2, minutes

item sysinfo_biz4000
  text str.sysinfo
  states ($(details) & 0x04)
  image 9
  flags hide, 0
  childs device, wan_isdn:1, charge1, minutes

item sysinfo_biz4100
  text str.sysinfo
  states ($(details) & 0x04)
  image 9
  flags hide, 0
  childs device, wan_isdn4, charge1, minutes

item sysinfo_biz6001
  text str.sysinfo
  states ($(details) & 0x04)
  image 9
  flags hide, 0
  childs device, wan_6001, charge1, minutes

item sysinfo_biz6011
  text str.sysinfo
  states ($(details) & 0x04)
  image 9
  flags hide, 0
  childs device, wan_6011, charge1, minutes
  
item sysinfo_biz6021
  text str.sysinfo
  states ($(details) & 0x04)
  image 9
  flags hide, 0
  childs device, wan_6021, charge1, minutes

item sysinfo_igate
  text str.sysinfo
  states ($(details) & 0x04)
  image 9
  flags hide, 0
  childs device, wan_isdn:1, wlan2, charge1, minutes

item sysinfo_dsl10
  text str.sysinfo
  states ($(details) & 0x04)
  image 9
  flags hide, 0
  childs device, wan_ethppp, minutes

item sysinfo_dsli10
  text str.sysinfo
  states ($(details) & 0x04)
  image 9
  flags hide, 0
  childs device, wan_isdn:2, wan_ethppp2, charge1, minutes_dsli10

item sysinfo_dsl25
  text str.sysinfo
  states ($(details) & 0x04)
  image 9
  flags hide, 0
  childs device, wan_atm, minutes
  
item sysinfo_adsl
  text str.sysinfo
  states ($(details) & 0x04)
  image 9
  flags hide, 0
  childs device, wan_adsl, minutes

item sysinfo_wrl_i2
  text str.sysinfo
  states ($(details) & 0x04)
  image 9
  flags hide, 0
  childs device, pcmcia, wan_isdn:1, charge1, minutes

item sysinfo_wrl_l2
  text str.sysinfo
  states ($(details) & 0x04)
  image 9
  flags hide, 0
  childs device, pcmcia

item sysinfo_wrl_l2_dsl
  text str.sysinfo
  states ($(details) & 0x04)
  image 9
  flags hide, 0
  childs device, pcmcia, wan_ethppp, minutes

item sysinfo_wrl_il2
  text str.sysinfo
  states ($(details) & 0x04)
  image 9
  flags hide, 0
  childs device, pcmcia, wan_isdn:1, charge1, minutes

item sysinfo_wrl_il2_dsl
  text str.sysinfo
  states ($(details) & 0x04)
  image 9
  flags hide, 0
  childs device, pcmcia, wan_isdn:2, wan_ethppp2, charge1, minutes_dsli10

item sysinfo_webgate
  text str.sysinfo
  states ($(details) & 0x04)
  image 9
  flags hide, 0
  childs device, wan_isdn:1, charge, minutes

item device
  uses 1.3.1.1.2.1, 1.3.1.1.2.2
  text str.device
  image 2
  refresh time:100
  childs dev_version, dev_serialnumber, dev_location, dev_admin, dev_systime, dev_uptime
  
item dev_version
  uses 1.3.1.1.3.1
  text str.firmware
  image 9
  refresh time:100

item dev_serialnumber
  uses 1.3.1.1.4.1
  text str.sernum
  image 9
  refresh time:100

item dev_location
  uses 1.2.9.4.0
  states ($1 != "")
  text str.location
  image 9
  flags hide, 0
  refresh time:100
  
item dev_admin
  uses 1.2.9.3.0
  states ($1 != "")
  text str.admin
  image 9
  flags hide, 0
  refresh time:100
  
item dev_systime
  uses 1.2.14.7.0
  states ($1 != "" && $1 != "0")
  text str.datetime
  image 9
  flags hide, 0
  refresh time:100

item dev_uptime
  uses 2.1.3.0
  text str.uptime
  image 9
  refresh time:100
  
item pcmcia
  uses 1.1.30.1.0, 1.1.30.3.0
  states ($1 == 1)
  text str.wlancard, str.wlancard2
  image 22, 21
  refresh time:100
  childs pcmcia_version, pcmcia_serialnumber
  
item pcmcia_version
  uses 1.1.30.1.0, 1.1.30.2.0
  states ($1 == 1)
  text str.wlanfirmware
  image 9
  flags hide, 0
  refresh time:100

item pcmcia_serialnumber
  uses 1.1.30.1.0, 1.1.30.4.0
  states ($1 == 1 && $2 != "")
  text str.wlansernum
  image 9
  flags hide, 0
  refresh time:100

item wlan
  text str.wlan
  image 23
  childs wlanstation

item wlanstation
  uses 1.1.3.32.1.3.$I, 1.1.3.32.1.9.$I, 1.1.3.32.1.10.$I
  states ($2 != "" && $3 != 3), ($2 != "")
  text str.wlanstation
  image 24, 24, 14
  flags hide, clone, clone
  refresh time:50

item wlan2
  text str.wlan
  image 16
  childs \ 
    wlanstation2:1, wlanstation2:2, wlanstation2:3, wlanstation2:4, \ 
    wlanstation2:5, wlanstation2:6, wlanstation2:7, wlanstation2:8, \ 
    wlanstation2:9, wlanstation2:10, wlanstation2:11, wlanstation2:12, \ 
    wlanstation2:13, wlanstation2:14, wlanstation2:15, wlanstation2:16

item wlanstation2
  uses 1.1.5.32.1.3.$I, 1.1.5.32.1.9.$I
  states ($2 != "")
  text str.wlanstrength
  image 14
  flags hide, 0
  refresh time:100

item wan_isdn
  text str.wanintisdn
  image 16
  childs s0protocol:$I, s0active:$I, s0tei:$I, s0layer2:$I

item wan_isdn4
  text str.wanint4isdn
  image 16
  childs s0status:1, s0status:2, s0status:3, s0status:4

item wan_6001
  text str.wanint6001
  image 16
  childs s0status_60xx:1, x21status:2

item wan_6011
  text str.wanint6011
  image 16
  childs s0status_60xx:1, x21status:2, g703status:3
  
item wan_6021
  text str.wanint6021
  image 16
  childs s0status_60xx:1, x21status:2, g703status:3, g703status:4

item wan_ethppp
  text str.wanintdsl
  image 16
  childs ethstatus
  
item wan_ethppp2
  text str.wanintdsl
  image 16
  childs ethstatus2

item wan_atm
  text str.wanintatm
  image 16
  childs atmstatus

item wan_adsl
  text str.wanintadsl
  image 16
  childs atmstatus

item s0status
  uses 1.1.23.1.1.2.$I, 1.1.23.1.1.3.$I, 1.1.23.1.1.4.$I, 1.1.23.1.1.5.$I
  states ($1 == 0), ($1 == 1), ($1 == 2), ($1 == 4), ($1 == 16)
  text str.s0bus
  image 16
  refresh time:100
  flags hide, 0, 0, 0, 0, 0
  childs s0active:$I, s0tei:$I, s0layer2:$I

item s0status_60xx
  uses 1.1.33.3.3.1.1.2.$I
  text str.s0bus_single
  image 16
  refresh time:100
  childs s0protocol_60xx:$I, s0active_60xx:$I, s0tei_60xx:$I, s0layer2_60xx:$I

item s0protocol
  uses 1.1.23.1.1.2.$I
  text str.usedprotocol
  image 16
  refresh time:100
  
item s0protocol_60xx
  uses 1.1.33.3.3.1.1.2.$I
  text str.usedprotocol
  image 16
  refresh time:100

item s0active
  uses 1.1.23.1.1.5.$I
  text str.s0active
  image 16
  refresh time:100

item s0active_60xx
  uses 1.1.33.3.3.1.1.5.$I
  text str.s0active
  image 16
  refresh time:100

item s0tei
  uses 1.1.23.1.1.4.$I
  text str.teiassigned
  image 16
  refresh time:100

item s0tei_60xx
  uses 1.1.33.3.3.1.1.4.$I
  text str.teiassigned
  image 16
  refresh time:100

item s0layer2
  uses 1.1.23.1.1.3.$I
  text str.layer2act
  image 16
  refresh time:100

item s0layer2_60xx
  uses 1.1.33.3.3.1.1.3.$I
  text str.layer2act
  image 16
  refresh time:100

item ethstatus
  uses 1.1.23.14.0
  text str.linkstate
  image 16
  refresh time:100

item ethstatus2
  uses 1.1.25.14.0
  text str.linkstate
  image 16
  refresh time:100

item atmstatus
  uses 1.1.22.1.1.0
  text str.sigpresent
  image 16
  refresh time:100

item x21status
  text str.x21inteface
  image 16
  refresh time:100
  childs x21active:$I, x21cts:$I, x21rts:$I, x21clock:$I

item x21active
  uses 1.1.33.1.3.1.2.$I
  text str.x21active
  image 16
  refresh time:100

item x21cts
  uses 1.1.33.1.3.1.3.$I
  text str.x21cts
  image 16
  refresh time:100
  
item x21rts
  uses 1.1.33.1.3.1.4.$I
  text str.x21rts
  image 16
  refresh time:100

item x21clock
  uses 1.1.33.1.3.1.5.$I
  text str.x21clock
  image 16
  refresh time:100

item g703status
  text str.g703inteface
  image 16
  refresh time:100
  childs g703active:$I, g703attenuation:$I

item g703active
  uses 1.1.33.1.4.1.2.$I
  text str.g703active
  image 16
  refresh time:100

item g703attenuation
  uses 1.1.33.1.4.1.3.$I
  text str.g703attenuation
  image 16
  refresh time:100

item charge
  uses 1.2.3.6.0
  states ($1 == "")
  text str.charge1, str.charge2
  image 17
  refresh time:50
  childs charge_item:1, charge_item:2

item charge1
  uses 1.2.3.6.0
  states ($1 == "")
  text str.charge1, str.charge2
  image 17
  refresh time:50
  childs charge_item:1, charge_item:2, charge_item:255

item charge2
  uses 1.2.3.6.0
  states ($1 == "")
  text str.charge1, str.charge2
  image 17
  refresh time:50
  childs charge_item:1, charge_item:2, charge_item:3, charge_item:4, charge_item:5, charge_item:6, charge_item:255
  
item charge_item
  uses 1.2.3.5.1.4.$I, 1.2.3.5.1.2.$I, 1.2.3.5.1.3.$I
  states ($2 > 0)
  text "$(i map charge_item): $(1 map units)", str.chargitem
  image 18
  refresh time:50
  
map charge_item
  from "1", "2", "3", "4", "5", "6", "255"
  to str.router, str.lancapi, str.abport1, str.abport2, str.abport3, str.abport4, str.timesync
  
map charge_item:lancom_dsli10
  from "1", "2", "3", "4", "5", "6", "255"
  to str.routerisdn, str.lancapi, str.abport1, str.abport2, str.abport3, str.abport4, str.timesync

map charge_item:microlink_webgate
  from "1", "2", "3", "4", "5", "6", "255"
  to str.inet, str.lancapi, str.abport1, str.abport2, str.abport3, str.abport4, str.timesync

item minutes
  uses 1.2.3.10.0
  states ($1 == "")
  text str.totonlinetime1, str.totonlinetime2
  image 19
  refresh time:50
  childs minutes_item:1, minutes_passive:1
  
item minutes_dsli10
  text str.totonlinetime2
  image 19
  action menudef:activate_budget
  childs minutes_item:1, minutes_item:2, minutes_passive:2
  
item minutes_item
  uses 1.2.3.7.1.4.$I, 1.2.3.7.1.2.$I, 1.2.3.7.1.3.$I
  states ($2 > 0)
  text str.outmin, str.outminandremain
  image 19
  refresh time:50
  
item minutes_passive
  uses 1.2.3.7.1.5.$I
  states ($1 == "")
  text str.incmin
  flags 0, hide
  image 19
  refresh time:50
  
map minutes_item
  from "1"
  to str.router
  
map minutes_item:lancom_dsli10
  from "1", "2"
  to str.routerdsl, str.routerisdn

map minutes_item:lancom_wrl_il2_dsl
  from "1", "2"
  to str.routerdsl, str.routerisdn

map minutes_item:lancom_wrl_il11_dsl
  from "1", "2"
  to str.routerdsl, str.routerisdn

map minutes_item:microlink_webgate
  from "1"
  to str.inet

function activate_budget
  text str.actbudget
  set 1.2.3.12, 0

item display
  uses 1.1.19.1.4.$I, 1.1.19.1.5.$I, 1.1.19.1.7.$I, 1.1.19.1.9.$I, 1.1.19.1.11.$I, 1.1.19.1.8.$I, 1.1.19.1.7.$(I -1), 1.1.19.1.7.$(I -2)
  states \ 
    (($I % 3) != 0 && $(7 map err) != 0 && ($(details) & 0x01)),\ ; error w/o
    (($I % 3) == 0 && $(8 map err) != 0 && ($(details) & 0x01)),\ ; channel
    (($1 >> 24 & 0xFF) <= 0x01),                      \ ; ccont: init/setup wan
    (($1 >> 24 & 0xFF) == 0x02 && ($(3 map err) == 0 || ($(details) & 0x01) == 0)), \ ; ccont: idle
    (($1 >> 24 & 0xFF) == 0x02),                      \ ; ccont: idle with error
    (($1 >> 24 & 0xFF) == 0x04),                      \ ; ccont: incoming call
    ($2 == 1 && ($1 >> 16 & 0xFF) == 0x05),           \ ; ycon.: incoming call
    ($2 == 1 && ($1 >> 16 & 0xFF) == 0x04),           \ ; ycon.: outgoing call
    ($2 == 1 && ($1 >> 16 & 0xFF) == 0x06),           \ ; ycon.: protocol
    ($2 == 1 && ($1 >> 16 & 0xFF) == 0x07),           \ ; ycon.: connected
    ($2 == 1 && ($1 >> 16 & 0xFF) == 0x08),           \ ; ycon.: disconnect
    ($2 == 1 && ($1 >> 16 & 0xFF) == 0x09),           \ ; ycon.: callback
    ($2 == 1 && ($1 >> 16 & 0xFF) == 0x0A),           \ ; ycon.: bundling
    ($2 == 2 && ($1 >> 24 & 0xFF) >= 0x03),           \ ; rcapi
    ($2 == 3 && ($1 >> 24 & 0xFF) >= 0x03 && $4 == 0x01),\ ; ab-port 1
    ($2 == 3 && ($1 >> 24 & 0xFF) >= 0x03 && $4 == 0x02),\ ; ab-port 2
    ($2 == 3 && ($1 >> 24 & 0xFF) >= 0x03 && $4 == 0x04),\ ; ab-port 3
    ($2 == 3 && ($1 >> 24 & 0xFF) >= 0x03 && $4 == 0x08),\ ; ab-port 4
    (($1 >> 24 & 0xFF) >= 0x03)                            ; unknown remote site
  text \ 
    "$(i map channel):",\ 
    str.errordisp, "$(8 map err_text)",\           ; error w/o channel
    str.notreadydisp,\                             ; init
    str.readydisp,\                                ; idle
    "$(i map channel): $(3 map err_text)",\        ; idle with error
    str.incalldisp, #,\                            ; incoming call (2x)
    str.dialdisp,\                                 ; calling
    str.protocoldisp,\                             ; protocol
    "$(i map channel): $5",\                       ; connected
    str.discdisp,\                                 ; disconnecting
    str.callbackdisp,\                             ; callback
    str.bundledisp,\                               ; bundling
    str.lancapidisp,\                              ; used by rcapi
    str.abport1disp,\                              ; used by ab-port 1
    str.abport2disp,\                              ; used by ab-port 2
    str.abport3disp,\                              ; used by ab-port 3
    str.abport4disp,\                              ; used by ab-port 4
    "$(i map channel): $6"                         ; unknown remote site
   action 0, menu:clrerr_disp:$(I -1):0, 0, 0, 0, menu:clrerr_disp:$I:0, 0, 0, 0, menu:disc_disp:$5, #, 0, 0, menu:disc_disp:$5
   flags 0, flash, #, 0, 0, flash
   
function clrerr
  text str.clrerrdisp
  set 1.1.19.1.7.$1, "$2"

function clrerr_disp
  text str.clrerrondisp
  set 1.1.19.1.7.$1, "$2"

function disc
  text str.mnudiscdisp
  set 1.2.2.13.2, "$1"

function disc:microlink_webgate
  text str.mnudiscdisp
  set 1.4.1.2, "$1"

function disc_disp
  text str.mnudisc1disp
  set 1.2.2.13.2, "$1"

function disc_disp:microlink_webgate
  text str.mnudisc1disp
  set 1.4.1.2, "$1"

function disc_exit
  query 0x21, str.askdiskexit
  set 1.2.2.13.2, "$1"

function disc_exit:microlink_webgate
  query 0x21, str.askdiskexit
  set 1.4.1.2, "$1"

item line_log_con
  uses 1.1.19.1.4.$I, 1.1.19.1.5.$I, 1.1.19.1.6.$I, 1.1.19.1.8.$I, 1.1.19.1.11.$I, 1.1.19.1.10.$I, 1.1.19.1.12.$I, 1.1.19.1.7.$I, 1.2.1.0
  states \ 
    ($2 == 1 && ($1 >> 16 & 0xFF) == 0x04),\  ; outgoing call
    ($2 == 1 && ($1 >> 16 & 0xFF) == 0x05),\  ; incoming call
    ($2 == 1 && ($1 >> 16 & 0xFF) == 0x09),\  ; callback
    ($2 == 1 && ($1 >> 16 & 0xFF) == 0x06),\  ; protocol
    ($2 == 1 && (($1 >> 16 & 0xFF) == 0x07 || ($1 >> 16 & 0xFF) == 0x0A) || ($1 >> 16 & 0xFF) == 0x08))),\ ; connected or bundling
    ($2 == 1 && $(8 map err))
  action 0,\ 
    enter:log_dial:$9:$I:$3:$5:$4,\ 
    enter:log_dial:$9:$I:$3:$5:$4,\ 
    enter:log_cb:$9:$I:$3:$5:$4,\ 
    enter:log_prot:$9:$I:$3:$5:$4,\ 
    enter:log_conn:$9:$I:$3:$5:$4 enter:info_conn:$9:$I:$5 leave:log_disc:$9:$I:$3:$5:$4:$6:$7 leave:info_disc:$9:$I,\ 
    enter:log_error:$9:$I:$8
  flags hide

function log_dial
  log 0x01, str.logdialfmt

function log_cb
  log 0x01, str.logcbfmt

function log_prot
  log 0x01, str.logprotfmt

function log_conn
  log 0x01, str.logconnfmt

function log_disc
  log 0x01, str.logdiscfmt
  
function log_error
  log 0x01, str.logerrorfmt

function info_conn
  infotip 1, str.infoconnfmt

function info_disc
  infotip 1, str.infodiscfmt

item line_log_ab
  uses 1.1.19.1.4.$I, 1.1.19.1.5.$I, 1.1.19.1.6.$I, 1.1.19.1.8.$I, 1.1.19.1.9.$I, 1.1.19.1.10.$I, 1.1.19.1.12.$I, 1.2.1.0
  states \ 
    ($2 == 3 && ($1 >> 24 & 0xFF) == 0x05 && $5 == 0x01), \ 
    ($2 == 3 && ($1 >> 24 & 0xFF) == 0x05 && $5 == 0x02), \ 
    ($2 == 3 && ($1 >> 24 & 0xFF) == 0x05 && $5 == 0x04), \ 
    ($2 == 3 && ($1 >> 24 & 0xFF) == 0x05 && $5 == 0x08)
  action 0, \ 
    enter:log_conn_ab:$8:$I:$3:1:$4 leave:log_disc_ab:$8:$I:$3:1:$4:$6:$7, \ 
    enter:log_conn_ab:$8:$I:$3:2:$4 leave:log_disc_ab:$8:$I:$3:2:$4:$6:$7, \ 
    enter:log_conn_ab:$8:$I:$3:3:$4 leave:log_disc_ab:$8:$I:$3:3:$4:$6:$7, \ 
    enter:log_conn_ab:$8:$I:$3:4:$4 leave:log_disc_ab:$8:$I:$3:4:$4:$6:$7
  flags hide

function log_conn_ab
  log 0x02, str.logconnabfmt

function log_disc_ab
  log 0x02, str.logdiscabfmt

item line_log_capi
  uses 1.1.19.1.4.$I, 1.1.19.1.5.$I, 1.1.19.1.6.$I, 1.1.19.1.8.$I, 1.1.19.1.9.$I, 1.1.19.1.10.$I, 1.1.19.1.12.$I, 1.2.1.0
  states ($2 == 2 && ($1 >> 24 & 0xFF) == 0x05)
  action 0, enter:log_conn_capi:$8:$I:$3:$5:$4 leave:log_disc_capi:$8:$I:$3:$5:$4:$6:$7
  flags hide

function log_conn_capi
  log 0x04, str.logconncapi

function log_disc_capi
  log 0x04, str.logdisccapi
  
map line
  from 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12
  to str.isdn1, str.line1, str.line2, str.isdn2, str.line3, str.line4, str.isdn3, str.line5, str.line6, str.isdn4, str.line7, str.line8

map line:lancom_4100
  from 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12
  to str.isdn1, str.line1-1, str.line1-2, str.isdn2, str.line2-1, str.line2-2, str.isdn3, str.line3-1, str.line3-2, str.isdn4, str.line4-1, str.line4-2

map line:lancom_6001
  from 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12
  to str.isdn1, str.isdnline1, str.isdnline2, str.x21, str.x21line
  
map line:lancom_6011
  from 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12
  to str.isdn1, str.isdnline1, str.isdnline2, str.x21, str.x21line, str.g703, str.g703line

map line:lancom_6021
  from 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12
  to str.isdn1, str.isdnline1, str.isdnline2, str.x21, str.x21line, str.g703-1, str.g703-1line, str.g703-2, str.g703-2line

map line:lancom_dsl10
  from 1, 2
  to str.dsl, str.line
  
map line:lancom_dsli10
  from 1, 2, 3, 4, 5
  to str.dsl, str.dslline, str.isdn, str.isdnline1, str.isdnline2

map line:lancom_dsl25
  from 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13
  to str.atm, str.line1, str.line2, str.line3, str.line4, str.line5, str.line6, str.line7, str.line8, str.line9, str.line10, str.line11, str.line12
  
map line:lancom_wrl_l2_dsl
  from 1, 2
  to str.dsl, str.line

map line:lancom_wrl_il2_dsl
  from 1, 2, 3, 4, 5
  to str.dsl, str.dslline, str.isdn, str.isdnline1, str.isdnline2

map line:lancom_wrl_l11_dsl
  from 1, 2
  to str.dsl, str.line

map line:lancom_wrl_il11_dsl
  from 1, 2, 3, 4, 5
  to str.dsl, str.dslline, str.isdn, str.isdnline1, str.isdnline2

map channel
  from 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12
  to str.isdn1, str.ch1, str.ch2, str.isdn2, str.ch3, str.ch4, str.isdn3, str.ch5, str.ch6, str.isdn4, str.ch7, str.ch8

map channel:lancom_4100
  from 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12
  to str.isdn1, str.ch1-1, str.ch1-2, str.isdn2, str.ch2-1, str.ch2-2, str.isdn3, str.ch3-1, str.ch3-2, str.isdn4,str.ch4-1, str.ch4-2

map channel:lancom_dsli10
  from 1, 2, 3, 4, 5
  to str.dsl, str.dslline, str.isdn, str.ch1, str.ch2

map dprot
  from 0, 1, 2, 4, 16, 17
  to str.protdetect, str.eurodss1, str.1tr6, str.dss1p2p, str.grpo, str.euisdnandleasedline

map units
  from 1
  to str.oneunit, str.units

map minutes
  from 1
  to str.oneminute, str.minutes

map err
  from 0x0000, 0x0010, 0x001F, 0x8050, 0x330A, 0x330C
  to 0, 0, 0, 0, 0, 0
 
map err_text
  from \ 
    0x0000, 0x0010, 0x001F, 0x330A, 0x330C, \ ; no error
    0x0101, 0x0108, 0x0109, 0x010A, 0x010B, 0x010C, \ 
    0x010F, 0x0110, 0x0001, 0x0003, 0x0011, 0x0012, \ 
    0x0013, 0x0015, 0x0016, 0x001B, 0x001C, 0x0022, \ 
    0x0029, 0x002A, 0x002C, 0x0032, 0x003F, 0x0045, \ 
    0x004F, 0x0058, 0x0081, 0x0082, 0x0083, 0x0084, \ 
    0x0085, 0x0086, 0x0087, 0x0089, 0x008B, 0x008C, \ 
    0x008D, 0x0090, 0x00AF, 0x00D1, 0x00EF, 0x8000, \ 
    0x8001, 0x8002, 0x8003, 0x8010, 0x8011, 0x8012, \ 
    0x8013, 0x8014, 0x8020, 0x8021, 0x8022, 0x8023, \ 
    0x8024, 0x8025, 0x8030, 0x8031, 0x8032, 0x8033, \ 
    0x8040, 0x8050, 0x80F0, 0x0111, 0x3303, 0x3304, \ 
    0x3308, 0x330B, 0x330D, 0x3385, 0x0201, 0x0202, \ 
    0x0203, 0x0401, 0x0402, 0x0403, 0x0404, 0x0405, \ 
    0x0406
  to \ 
    str.err_noerr, #, #, #, #, \ 
    str.err_dialfailure,          str.err_chargelimit,         \ 
    str.err_nocallingnum,         str.err_noremotespec,        \ 
    str.err_remotedoubled,        str.err_remotelocked,        \ 
    str.err_nochargeinfo,         str.err_yconnotallowed,      \ 
    str.err_dail_failure,         str.err_remotebarred,        \ 
    str.err_remotebusy,           str.err_remotenotresp,       \ 
    str.err_remoteerr,            str.err_connrej,             \ 
    str.err_callnumchanged,       str.err_remotenotready,      \ 
    str.err_wrongcallnum,         str.err_loclinebusy,         \ 
    str.err_remotelinebusy,       str.err_isdncongestion,      \ 
    str.err_locallinelocked,      str.err_facnotperm,          \ 
    str.err_servnotenabled,       str.err_facnotavail,         \ 
    str.err_servnotavail,         str.err_incdest,             \ 
    str.err_failedtoestabd1,      str.err_failedtoestabd2,     \ 
    str.err_failedtoestabb1,      str.err_failedtoestabb2,     \ 
    str.err_errisdnlayer1,        str.err_abortdued2failure,   \ 
    str.err_abortdued3failure,    str.err_abortdueb2failure,   \ 
    str.err_pubexchangenotresp,   str.err_pubexchangenotresp,  \ 
    str.err_errisdnlayer1,        str.err_facilitynotsupp,     \ 
    str.err_localerr,             str.err_abortduetod3failure, \ 
    str.err_abortduetod3failure,  str.err_lcprejected,         \ 
    str.err_authfailed,           str.err_authrejected,        \ 
    str.err_lcpconerr,            str.err_paprej,              \ 
    str.err_paprecvtimeout,       str.err_paptranstimeout,     \ 
    str.err_wrongpapreq,          str.err_papnakrecv,          \ 
    str.err_chaprej,              str.err_chaprecvtimeout,     \ 
    str.err_chaptranstimeout,     str.err_wrongchapresp,       \ 
    str.err_chapfailrecv,         str.err_unkownchappeer,      \ 
    str.err_ipxcprej,             str.err_wrongipxcpnet,       \ 
    str.err_ipxcpnetrej,          str.err_ipxcprouteunknown,   \ 
    str.err_ipcprej,              str.err_ccprej,              \ 
    str.err_noncpavail,           str.err_timelimitexceeded,   \ 
    str.err_failedtoestb1,        str.err_failedtoestb2,       \ 
    str.err_failedtoestb1,        str.err_abortdueb2failure,   \ 
    str.err_abortdueb2failure,    str.err_errdsllayer1,        \ 
    str.err_servnotavail,         str.err_remotebusy,          \ 
    str.err_generr,               str.err_accconcentincorr,    \ 
    str.err_servnotavail,         str.err_nameofaccconcentinc, \ 
    str.err_remoteerror,          str.err_invalidsessid,       \ 
    str.err_remotenotresp,        str.err_0xbla
